Bug 19374 - Network defaults onboot=no on cdrom ks install
Network defaults onboot=no on cdrom ks install
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2000-10-19 07:15 EDT by David Watson
Modified: 2007-04-18 12:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-01 15:00:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Watson 2000-10-19 07:15:54 EDT
The kickstart file that I have been using under 6.2 has the ks.cfg on floppy and grabs the os files from cdrom
I'm used to the network that I've configured starting onboot, howeverunder 7.0 I find that ifcfg-eth0 is marked ONBOOT=no

There should at the lest be a flag in the network option to control this behaviour, and personally I believe that if the card is configured it should 
default to be enabled
Comment 1 Michael Fulbright 2000-10-19 17:53:19 EDT
Is eth0 a PCMCIA NIC?
Comment 2 David Watson 2000-10-20 06:04:06 EDT
eth0 is an intel pro PCI card, after install ifcfg-eth0 will bring the card up fine, it just defaults onboot off
Comment 3 David Watson 2000-10-20 09:32:12 EDT
sorry, of course I meant ifup eth0
Comment 4 Brock Organ 2000-11-07 11:34:31 EST
could you attach a copy of the kickstart file you use ...?
Comment 5 David Watson 2000-11-07 12:05:13 EST
here is the kickstart file, I have changed the rootpw and the ipaddresses in the network setup and commented the %post line which I am using to bring 
up the network

### Language Specification
lang en_US

### Network Configuration

network --bootproto static --device eth0 --ip --netmask --gateway --nameserver

### Source File Location

### Keyboard Configuration
keyboard us

### Partitioning Information
zerombr yes
clearpart --all
part / --size 1000
part swap --size 320
part /usr --size 1000
part /var --size 1000 --grow --maxsize 2400

### Mouse Configuration
mouse genericps/2

### Time Zone Configuration
timezone --utc US/Eastern

### Root Password Designation
rootpw *******

### Authorization Configuration
auth --useshadow --enablemd5

### Lilo Configuration
lilo --location mbr

### Package Designation
@ Base
@ Networked Workstation
@ Development
@ Kernel Development
@ Anonymous FTP Server
@ Web Server

### Commands To Be Run Post-Installation
#/bin/cat /etc/sysconfig/network-scripts/ifcfg-eth0 | sed s/ONBOOT=.*$/ONBOOT=yes/ > /etc/sysconfig/network-scripts/ifcfg-eth0
Comment 6 Michael Fulbright 2000-11-15 11:37:26 EST
Thanks for your feedback, I am passing this to a QA engineer to attempt to
reproduce your problem.

Note to engineer: the kickstart file has a line to turn ONBOOT on - be sure to
not include that in your attempt to reproduce the original problem.
Comment 7 Brock Organ 2000-11-15 12:14:44 EST
verified this issue ... thanks for your report!
Comment 8 Erik Troan 2001-04-03 15:08:12 EDT
Fixed in CVS.

Note You need to log in before you can comment on or make changes to this bug.